Bug Hunting Session
Bug 64454 - FORMATTING: enhancement request: add Format Paintbrush to context menu
Summary: FORMATTING: enhancement request: add Format Paintbrush to context menu
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.6.2 release
Hardware: Other All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Context-Menu Clear-Formatting
  Show dependency treegraph
 
Reported: 2013-05-11 08:08 UTC by bugquestcontri
Modified: 2017-06-07 20:04 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bugquestcontri 2013-05-11 08:08:01 UTC
Problem description: 
Productivity  and ease of use is always important.. having the Format Paintbrush in the toolbar requires a lot of mouse movements.

Solution:
Add the Format Paintbrush to the context menu (right click menu) in Calc (priority) and the other applications.


              
Operating System: All
Version: 3.6.6.2 release
Comment 1 bugquestcontri 2013-05-11 08:09:19 UTC
This feature is to the best of my knowledge not available in MSO.
Comment 2 Joel Madero 2013-05-25 18:03:45 UTC
Thank you for reporting this enhancement request! I can confirm that this is a valid enhancement request on:
Version: 4.1.0.0.alpha1+Build ID: ed8f9ec2caa8485691999e5565a79e451e1dcb
Date:   Wed May 8 18:48:38 2013 +0200 
Platform: Bodhi Linux 2.2 x64
+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
As I've been able to confirm the enhancement request I am marking as:

New (confirmed)
Enhancement - 
Low - while it could help in specific cases, for others they might find it to be annoying to have a longer list on right click, also what's to say we choose this feature over the other 100+ that people regularly use and what on right click context menu? the current setup is functional, the added functionality would be limited

Note: We need UX advice on this before moving it forward as they may say it's a no go (WONTFIX).

@bugquestcontri - are you able to email the UX team on their mailing list and see what they have to say? I'm curious to hear what outcome you'd find from talking to Astron and the few others who regularly contribute over on that side of our project.


Whiteboard Status - ProposedEasyHack

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 3 bugquestcontri 2013-05-26 11:30:22 UTC
@Joel - Thanks for looking into this matter.

As for contacting the UX team, I am willing to do it but what means UX team and how to contact this team? (I still need to learn a lot!!!)
Comment 4 dhermosillo 2015-04-06 20:31:06 UTC
As a new convert from MS Office, which had the format painter in the context menu, I'd like to add my vote.
Comment 5 Joel Madero 2015-04-06 21:48:18 UTC
Just a heads up - there is no "voting" - this is a meritocracy, the things that get done are the things that volunteers choose to do not what users "vote" to get done. No offense - just want to be clear about how our project works :)
Comment 6 dhermosillo 2015-04-07 17:40:08 UTC
@Joel What is the process, for non-programming members of the community, for letting the programming members know what features we'd like to see?
Comment 7 Joel Madero 2015-04-07 21:19:22 UTC
None. There is no democracy "users want this." Devs volunteer to fix or implement whatever they choose to fix or implement.  We have a merit based setup. If you want to help contribute even in a non technical way you can learn more about how the project works. Feel free to email me
Comment 8 Yousuf Philips (jay) (retired) 2017-06-07 20:04:12 UTC
As format paintbrush isnt contextual and isnt highly used like clipboard functions, i wouldnt be for this.

UX-Team: Reopen if you disagree.